Multi item carousel

Angular Bootstrap 5 Multi item carousel plugin

An advanced slideshow component for cycling through images with a selectable number of active items.

Responsive Multi item carousel built with the Bootstrap 5, Angular and Material Design. Many practical examples like lightbox integration, Vertical, autoplay, and many more.

Note: Read the API tab to find all available options and advanced customization


Basic example

A basic example of a multi carousel with the most common use case with 3 active items (default version).

        
            
              <mdb-multi-item-carousel [slides]="slides"></mdb-multi-item-carousel>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                slides = [
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/1.webp',
                    alt: 'Table Full of Spices',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/2.webp',
                    alt: 'Winter Landscape',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/3.webp',
                    alt: 'View of the City in the Mountains',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/4.webp',
                    alt: 'Place Royale Bruxelles',
                  },
                ];
              }
            
        
    

Vertical example

To enable vertical mode just add vertical class to the wrapper element.

        
            
              <mdb-multi-item-carousel [slides]="slides" [vertical]="true" style="max-width: 20rem;">
              </mdb-multi-item-carousel>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                slides = [
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/1.webp',
                    alt: 'Table Full of Spices',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/2.webp',
                    alt: 'Winter Landscape',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/3.webp',
                    alt: 'View of the City in the Mountains',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/4.webp',
                    alt: 'Place Royale Bruxelles',
                  },
                ];
              }
            
        
    

Lightbox integration

Set lightbox input to enable lightbox.

To ensure the proper performance of the page, it is recommended to include thumbnails of images in the src key. Then in the img key add the path to the image with higher resolution. If the img key is omitted, the lightbox will display the same image as in the reduced size.

        
            
            <mdb-multi-item-carousel [lightbox]="true" [slides]="slides"></mdb-multi-item-carousel>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                slides = [
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/1.webp',
                    alt: 'Table Full of Spices',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/2.webp',
                    alt: 'Winter Landscape',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/3.webp',
                    alt: 'View of the City in the Mountains',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/4.webp',
                    alt: 'Place Royale Bruxelles',
                  },
                ];
              }
            
        
    

Active items

Set a items input to change the number of active images.

        
            
            <mdb-multi-item-carousel [slides]="slides" [items]="2"></mdb-multi-item-carousel>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                slides = [
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/1.webp',
                    alt: 'Table Full of Spices',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/2.webp',
                    alt: 'Winter Landscape',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/3.webp',
                    alt: 'View of the City in the Mountains',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/4.webp',
                    alt: 'Place Royale Bruxelles',
                  },
                ];
              }
            
        
    

Breakpoint

To change breakpoint on small devices easily set breakpoint value (default value is 992).

        
            
            <mdb-multi-item-carousel [slides]="slides" [breakpoint]="992"></mdb-multi-item-carousel>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                slides = [
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/1.webp',
                    alt: 'Table Full of Spices',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/2.webp',
                    alt: 'Winter Landscape',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/3.webp',
                    alt: 'View of the City in the Mountains',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/4.webp',
                    alt: 'Place Royale Bruxelles',
                  },
                ];
              }
            
        
    

Autoplay

Set a interval input to enable autoplay.

        
            
            <mdb-multi-item-carousel [slides]="slides" [interval]="2000"></mdb-multi-item-carousel>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                slides = [
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/1.webp',
                    alt: 'Table Full of Spices',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/2.webp',
                    alt: 'Winter Landscape',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/3.webp',
                    alt: 'View of the City in the Mountains',
                  },
                  {
                    src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp',
                    img: 'https://mdbootstrap.com/img/Photos/Slides/4.webp',
                    alt: 'Place Royale Bruxelles',
                  },
                ];
              }
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Multi item carousel - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/multi-item-carousel
     
        
    

Import

        
            
          import { MdbMultiItemCarouselModule } from 'mdb-angular-multi-item-carousel';
          …
          @NgModule ({
            ...
            imports: [MdbMultiItemCarouselModule],
            ...
          })
        
        
    
        
            
        @import 'mdb-angular-multi-item-carousel/scss/multi-item-carousel.scss';
      
        
    

Inputs

Name Type Default Description
slides Array<MdbMultiItemCarouselSlide> [] Defines slides to load
items number 3 Defines number of visible items.
vertical boolean false Changes orientation to vertical.
lightbox boolean false Enables the lightbox option.
breakpoint number 992 Defines window breakpoint in px to show only one item.
interval number 0 Defines autoplay interval. When set to 0 autoplay is disabled.

Outputs

Name Type Description
slide EventEmitter<void> Emitted when a multiCarousel has been slided.
slided EventEmitter<void> Emitted after an image slide.
        
            
            <mdb-multi-item-carousel (slide)="onSlideEvent()" [slides]="slides"> </mdb-multi-item-carousel>                                    
            
        
    
        
            
            import { Component } from '@angular/core';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent  implements OnInit {
              constructor() {}
            
              ngOnInit(): void {}
            
              onSlideEvent(): void {
                console.log('User has slided the carousel');
              }
            
              slides = [
                {
                  src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp',
                  img: 'https://mdbootstrap.com/img/Photos/Slides/1.webp',
                  alt: 'Table Full of Spices',
                },
                {
                  src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp',
                  img: 'https://mdbootstrap.com/img/Photos/Slides/2.webp',
                  alt: 'Winter Landscape',
                },
                {
                  src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp',
                  img: 'https://mdbootstrap.com/img/Photos/Slides/3.webp',
                  alt: 'View of the City in the Mountains',
                },
                {
                  src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp',
                  img: 'https://mdbootstrap.com/img/Photos/Slides/4.webp',
                  alt: 'Place Royale Bruxelles',
                },
              ];
            }                                          
            
        
    

Methods

Name Description Example
slideLeft Manually slides left the carousel carousel.slideLeft()
slideRight Manually slides right the carousel carousel.slideRight()
        
            
            <mdb-multi-item-carousel #carousel [slides]="slides"> </mdb-multi-item-carousel>                            
            
        
    
        
            
            import { OnInit Component} from '@angular/core';
            import { MdbMultiItemCarouselComponent } from 'mdb-angular-multi-item-carousel';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent  implements OnInit {
              @ViewChild('carousel') carousel!: MdbMultiItemCarouselComponent;
            
              ngOnInit(): void {
                setTimeout(() => {
                  this.carousel.slideRight();
                }, 1000);
              }
            
              slides = [
                {
                  src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp',
                  img: 'https://mdbootstrap.com/img/Photos/Slides/1.webp',
                  alt: 'Table Full of Spices',
                },
                {
                  src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp',
                  img: 'https://mdbootstrap.com/img/Photos/Slides/2.webp',
                  alt: 'Winter Landscape',
                },
                {
                  src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp',
                  img: 'https://mdbootstrap.com/img/Photos/Slides/3.webp',
                  alt: 'View of the City in the Mountains',
                },
                {
                  src: 'https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp',
                  img: 'https://mdbootstrap.com/img/Photos/Slides/4.webp',
                  alt: 'Place Royale Bruxelles',
                },
              ];
            }

Multi item carousel

Vue Bootstrap 5 Multi item carousel plugin

An advanced slideshow component for cycling through images with a selectable number of active items.

Responsive Multi item carousel built with the latest Bootstrap 5 and Vue 3. Many practical examples like lightbox integration, Vertical, autoplay, and many more.

Note: Read the API tab to find all available options and advanced customization


Basic example

A basic example of a multi carousel with the most common use case with 3 active items (default version).

        
            
            <template>
              <MDBMultiCarousel
                :images="[
                  {
                    src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg',
                    alt: 'Gallery image 1',
                    class: 'w-100',
                  },
                  {
                    src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg',
                    alt: 'Gallery image 2',
                    class: 'w-100',
                  },
                  {
                    src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg',
                    alt: 'Gallery image 3',
                    class: 'w-100',
                  },
                  {
                    src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg',
                    alt: 'Gallery image 4',
                    class: 'w-100',
                  },
                ]"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";

              export default {
                components: {
                  MDBMultiCarousel
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
            </script>
          
        
    

Vertical example

To enable vertical mode just add vertical property to the component.

        
            
            <template>
              <MDBMultiCarousel vertical style="max-width: 20rem">
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg"
                  alt="Gallery image 1"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg"
                  alt="Gallery image 2"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg"
                  alt="Gallery image 3"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg"
                  alt="Gallery image 4"
                  class="w-100"
                />
              </MDBMultiCarousel>
            </template>
          
        
    
        
            
            <script>
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";

              export default {
                components: {
                  MDBMultiCarousel
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
            </script>
          
        
    

Lightbox integration

Wrap carousel by a div.lightbox element to enable lightbox.

Wrap carousel by a MDBLightbox element and add lightbox property to enable lightbox. Remember to update Lightbox images on Carousel's updateImages event.

To ensure the proper performance of the page, it is recommended to include thumbnails of images in the src attribute. Then in the fullScreenSrc attribute add the path to the image with higher resolution. If the fullScreenSrc attribute is omitted, the lightbox will display the same image as in the reduced size.

        
            
            <template>
              <MDBLightbox ref="lightboxRef">
                <MDBMultiCarousel
                  lightbox
                  @updateImage="updateImages"
                >
                  <img
                    src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg"
                    fullScreenSrc="https://mdbootstrap.com/img/Photos/Slides/1.jpg"
                    alt="Gallery image 1"
                    class="w-100"
                  />
                  <img
                    src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg"
                    fullScreenSrc="https://mdbootstrap.com/img/Photos/Slides/2.jpg"
                    alt="Gallery image 2"
                    class="w-100"
                  />
                  <img
                    src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg"
                    fullScreenSrc="https://mdbootstrap.com/img/Photos/Slides/3.jpg"
                    alt="Gallery image 3"
                    class="w-100"
                  />
                  <img
                    src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg"
                    fullScreenSrc="https://mdbootstrap.com/img/Photos/Slides/4.jpg"
                    alt="Gallery image 4"
                    class="w-100"
                  />
                </MDBMultiCarousel>
              </MDBLightbox>
            </template>
          
        
    
        
            
            <script>
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
              import { MDBLightbox } from "mdb-vue-ui-kit";
              
              export default {
                components: {
                  MDBMultiCarousel,
                  MDBLightbox
                },
                setup() {
                  const lightboxRef = ref();
                  const updateImages = () => lightboxRef.value.updateImages();

                  return {
                    lightboxRef,
                    updateImages,
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
              import { MDBLightbox } from "mdb-vue-ui-kit";

              const lightboxRef = ref<InstanceType<typeof MDBLightbox>>();
              const updateImages = () => lightboxRef.value.updateImages();
            </script>
          
        
    

Active items

Set a items property to change the number of active images.

        
            
            <template>
              <MDBMultiCarousel :items="2">
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg"
                  alt="Gallery image 1"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg"
                  alt="Gallery image 2"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg"
                  alt="Gallery image 3"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg"
                  alt="Gallery image 4"
                  class="w-100"
                />
              </MDBMultiCarousel>
            </template>
          
        
    
        
            
            <script>
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";

              export default {
                components: {
                  MDBMultiCarousel
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
            </script>
          
        
    

Breakpoint

To change breakpoint on small devices easily set breakpoint property value (default value is 992). Set to false to disable responsiveness.

        
            
            <template>
              <MDBMultiCarousel :breakpoint="1200">
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg"
                  alt="Gallery image 1"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg"
                  alt="Gallery image 2"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg"
                  alt="Gallery image 3"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg"
                  alt="Gallery image 4"
                  class="w-100"
                />
              </MDBMultiCarousel>
            </template>
          
        
    
        
            
            <script>
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
              
              export default {
                components: {
                  MDBMultiCarousel
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
            </script>
          
        
    

Autoplay

Set an interval property to enable autoplay.

        
            
            <template>
              <MDBMultiCarousel :interval="2000">
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg"
                  alt="Gallery image 1"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg"
                  alt="Gallery image 2"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg"
                  alt="Gallery image 3"
                  class="w-100"
                />
                <img
                  src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg"
                  alt="Gallery image 4"
                  class="w-100"
                />
              </MDBMultiCarousel>
            </template>
          
        
    
        
            
            <script>
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
              
              export default {
                components: {
                  MDBMultiCarousel
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Multi item carousel - API


Import

        
            
          <script>
            import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
          </script>
        
        
    

Properties

Name Type Default Description
breakpoint Number / String / Boolean 992 Defines window breakpoint in px to show only one item. Set to false to disable.
images Array [] Defines images array for JavaScript initialization
interval Number / String / Boolean false Defines autoplay interval. Disabled as a default.
items Number / String 3 Defines number of visible items.
lightbox Boolean false Allows using carousel inside MDBLightbox component.
tag String 'div' Defines element tag for component wrapper.
vertical Boolean false Sets vertical carousel.

Methods

Name Description
next Slides to the next item.
prev Slides to the previous item.
        
            
        <template>
          <MDBBtn color="primary" @click="carouselRef?.next()">Next</MDBBtn>
          <MDBMultiCarousel
            ref="carouselRef"
            :images="[
              {
                src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg',
                alt: 'Gallery image 1',
                class: 'w-100',
              },
              {
                src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg',
                alt: 'Gallery image 2',
                class: 'w-100',
              },
              {
                src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg',
                alt: 'Gallery image 3',
                class: 'w-100',
              },
              {
                src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg',
                alt: 'Gallery image 4',
                class: 'w-100',
              },
            ]"
          />
        </template>
        
        
    
        
            
        <script>
          import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
          import { MDBBtn } from "mdb-vue-ui-kit";
          import { ref } from "vue";
          
          export default {
            components: {
              MDBMultiCarousel,
              MDBBtn,
            },
            setup() {
              const carouselRef = ref(null);
          
              return {
                carouselRef,
              };
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import { MDBMultiCarousel } from "mdb-vue-multi-carousel";
          import { MDBBtn } from "mdb-vue-ui-kit";
          import { ref } from "vue";
          
          const carouselRef = ref<InstanceType<typeof MDBMultiCarousel> | null>(null);
        </script>
        
        
    

Events

Name Description
slide Emitted when a multiCarousel has been slided.
slided Emitted after an image slide.
updateImages Emitted after an image collection is updated. Necessary for Lightbox integration
        
            
            <template>
              <MDBMultiCarousel @slide="doSomething" />
            </template>

Multi item carousel

React Bootstrap 5 Multi item carousel plugin

An advanced slideshow component for cycling through images with a selectable number of active items.

Responsive Multi item carousel built with Bootstrap 5, React 18 and Material Design 2.0. Many practical examples like lightbox integration, Vertical, autoplay, and many more.

Note: Read the API tab to find all available options and advanced customization


Basic example

A basic example of a multi carousel with the most common use case with 3 active items (default version).

        
            
          import React from 'react';
          import { MDBMultiCarousel, MDBMultiCarouselItem } from 'mdb-react-multi-carousel';

          export default function App() {
            return (
              <MDBMultiCarousel>
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp'
                  alt='Table Full of Spices'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp'
                  alt='Winter Landscape'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp'
                  alt='View of the City in the Mountains'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp'
                  alt='Place Royale Bruxelles'
                />
              </MDBMultiCarousel>  
            );
          }
        
        
    

Vertical example

To enable vertical mode just add vertical property to the wrapper element.

        
            
          import React from 'react';
          import { MDBMultiCarousel, MDBMultiCarouselItem } from 'mdb-react-multi-carousel';

          export default function App() {
            return (
              <MDBMultiCarousel vertical>
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp'
                  alt='Table Full of Spices'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp'
                  alt='Winter Landscape'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp'
                  alt='View of the City in the Mountains'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp'
                  alt='Place Royale Bruxelles'
                />
              </MDBMultiCarousel>  
            );
          }
        
        
    

Lightbox integration

Wrap carousel by a MDBLightbox component and add lightbox property to the wrapper to enable lightbox.

        
            
          import React from 'react';
          import { MDBLightbox } from 'mdb-react-ui-kit';
          import { MDBMultiCarousel, MDBMultiCarouselItem } from 'mdb-react-multi-carousel';

          export default function App() {
            return (
              <MDBLightbox>
                <MDBMultiCarousel lightbox>
                  <MDBMultiCarouselItem
                    src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp'
                    fullscreenSrc='https://mdbcdn.b-cdn.net/img/Photos/Slides/1.webp'
                    alt='Table Full of Spices'
                  />
                  <MDBMultiCarouselItem
                    src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp'
                    fullscreenSrc='https://mdbcdn.b-cdn.net/img/Photos/Slides/2.webp'
                    alt='Winter Landscape'
                  />
                  <MDBMultiCarouselItem
                    src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp'
                    fullscreenSrc='https://mdbcdn.b-cdn.net/img/Photos/Slides/3.webp'
                    alt='View of the City in the Mountains'
                  />
                  <MDBMultiCarouselItem
                    src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp'
                    fullscreenSrc='https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp'
                    alt='Place Royale Bruxelles'
                  />
                </MDBMultiCarousel>
              </MDBLightbox>  
            );
          }
        
        
    

Active items

Set a items property to change the number of active images.

        
            
          import React from 'react';
          import { MDBMultiCarousel, MDBMultiCarouselItem } from 'mdb-react-multi-carousel';

          export default function App() {
            return (
              <MDBMultiCarousel items={2}>
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp'
                  alt='Table Full of Spices'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp'
                  alt='Winter Landscape'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp'
                  alt='View of the City in the Mountains'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp'
                  alt='Place Royale Bruxelles'
                />
              </MDBMultiCarousel>   
            );
          }
        
        
    

Breakpoint

To change breakpoint on small devices easily set breakpoint property value (default value is 992). Set to false to disable responsiveness.

        
            
          import React from 'react';
          import { MDBMultiCarousel, MDBMultiCarouselItem } from 'mdb-react-multi-carousel';

          export default function App() {
            return (
              <MDBMultiCarousel breakpoint={1200}>
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp'
                  alt='Table Full of Spices'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp'
                  alt='Winter Landscape'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp'
                  alt='View of the City in the Mountains'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp'
                  alt='Place Royale Bruxelles'
                />
              </MDBMultiCarousel>  
            );
          }
        
        
    

Autoplay

Set a interval property to enable autoplay.

        
            
          import React from 'react';
          import { MDBMultiCarousel, MDBMultiCarouselItem } from 'mdb-react-multi-carousel';

          export default function App() {
            return (
              <MDBMultiCarousel interval={2000}>
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/1.webp'
                  alt='Table Full of Spices'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/2.webp'
                  alt='Winter Landscape'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/3.webp'
                  alt='View of the City in the Mountains'
                />
                <MDBMultiCarouselItem
                  src='https://mdbcdn.b-cdn.net/img/Photos/Thumbnails/Slides/4.webp'
                  alt='Place Royale Bruxelles'
                />
              </MDBMultiCarousel>   
            );
          }
        
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Multi Item Carousel - API


Import

        
            
        import { MDBMultiCarousel, MDBMultiCarouselItem } from 'mdb-react-multi-carousel';
      
        
    

Properties